export declare class DgaNavHeaderSubMenu {
    el: HTMLElement;
    active?: boolean;
    subMenuFullWidth?: boolean;
    background?: string;
    private submenu;
    onActiveChange(): void;
    componentDidLoad(): void;
    render(): any;
}
